%define upstream_name    Net-TFTP
%define upstream_version 0.1901

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:	Net::TFTP - TFTP Client class
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::MockModule)
BuildRequires: perl(Test::Warn)

BuildArch:	noarch

%description
Net::TFTP is a class implementing a simple Trivial File Transfer Protocol
client in Perl as described in RFC1350. Net::TFTP also supports the
TFTP Option Extension (as described in RFC2347), with the following options

RFC2348 Blocksize Option

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc ChangeLog README META.yml
%{perl_vendorlib}/Net/TFTP.pm
%{_mandir}/*/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.190.100-4.mga9
+ Revision: 1809931
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.190.100-3.mga8
+ Revision: 1505605
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.190.100-2.mga7
+ Revision: 1285230
- Mageia 7 Mass Rebuild

* Wed Jan 17 2018 kekepower <kekepower> 0.190.100-1.mga7
+ Revision: 1194100
- Update to version 0.1901

* Sun Jun 19 2016 pterjan <pterjan> 0.190.0-7.mga6
+ Revision: 1031333
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.190.0-6.mga6
+ Revision: 940107
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.190.0-5.mga5
+ Revision: 749117
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.190.0-4.mga5
+ Revision: 685736
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.190.0-3.mga4
+ Revision: 513623
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.190.0-2.mga3
+ Revision: 370919
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.190.0-1.mga1
+ Revision: 29162
- mageia rebuild
- imported package perl-Net-TFTP


* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.190.0-1mdv2011.0
+ Revision: 601939
- update to new version 0.19

* Wed Jul 14 2010 Jérôme Quelin <jquelin@mandriva.org> 0.180.0-1mdv2011.0
+ Revision: 553023
- adding missing buildrequires:
- adding missing buildrequires:
- update to 0.18

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.170.0-1mdv2010.0
+ Revision: 404249
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.17-4mdv2009.0
+ Revision: 258135
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.17-3mdv2009.0
+ Revision: 246192
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.17-1mdv2008.1
+ Revision: 140694
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.17-1mdv2008.0
+ Revision: 56124
- new version

* Wed May 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.16-4mdv2008.0
+ Revision: 25452
- rebuild

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 0.16-3mdv2008.0
+ Revision: 25195
- rebuild


* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.16-2mdk
- Fix SPEC according to Perl Policy
	- Source URL
- use mkrel

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.16-1mdk
- initial Mandriva package

